<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.activity.mapper.ActivityPopularizeLogMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.xxfc.platform.activity.entity.ActivityPopularizeLog" id="activityPopularizeLogMap">
        <result property="id" column="id"/>
        <result property="crtTime" column="crt_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="name" column="name"/>
        <result property="descr" column="descr"/>
        <result property="popularizeId" column="popularize_id"/>
        <result property="userId" column="user_id"/>
        <result property="itemId" column="item_id"/>
    </resultMap>

    <select id="selectByUserId" resultType="com.xxfc.platform.activity.dto.ApLogDTO" parameterType="Map">
        select * from activity_log_list where user_id = #{userId} and popularize_id = #{popularizeId}
        ORDER BY crt_time DESC
    </select>

</mapper>